Package org.apache.torque.generator.configuration.controller

## Class OutletReferenceSaxHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.torque.generator.configuration.controller.OutletReferenceSaxHandler

- All Implemented Interfaces:
    `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

      public class OutletReferenceSaxHandler
      extends DefaultHandler

  Reads a Outlet reference file from the controller configuration file.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutletReferenceSaxHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `endElement​(String uri, String localName, String rawName)`
    `OutletReference` | `getOutletReference()` | Returns the outlet reference which was filled by this handler.
    `boolean` | `isFinished()` | Returns whether the handler has already parsed the end of the snippet for which it is responsible.
    `void` | `startElement​(String uri, String localName, String rawName, Attributes attributes)`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutletReferenceSaxHandler

          public OutletReferenceSaxHandler()

  - ### Method Detail

    - #### startElement

          public void startElement​(String uri,
                                   String localName,
                                   String rawName,
                                   Attributes attributes)
                            throws SAXException

      Specified by:
        `startElement` in interface `ContentHandler`
      Overrides:
        `startElement` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### endElement

          public void endElement​(String uri,
                                 String localName,
                                 String rawName)
                          throws SAXException

      Specified by:
        `endElement` in interface `ContentHandler`
      Overrides:
        `endElement` in class `DefaultHandler`
      Throws:
        `SAXException`

    - #### getOutletReference

          public OutletReference getOutletReference()

      Returns the outlet reference which was filled by this handler.
      Returns:
        the outlet reference which was filled by this handler, not null.

    - #### isFinished

          public boolean isFinished()

      Returns whether the handler has already parsed the end of the snippet for which it is responsible.
      Returns:
        true if the end of the snippet is reached, false otherwise.